#ifndef __BOMBOBJECT_H__
#define __BOMBOBJECT_H__

enum
{
    BOMBANIM_Idle = 0,
    BOMBANIM_Spark1,
    BOMBANIM_Spark2,
    BOMBANIM_Spark3,
};

class BombObject : public BaseObject
{
protected:
    int     m_Timer;
    int     m_TicksWithNoHealth;
    int     m_SwappedGraphics;
    int     m_DidDamage;
    int     m_Player; // who dropped the bomb.

    int     m_Range;
    int     m_WaitingForActivation;

public:
    BombObject();
    virtual ~BombObject();

    virtual void Tick();

    void SetWaitingForActivation(int waiting) { m_WaitingForActivation = waiting; }
    void SetRange(int range);
    void SetTickToExplode(int tick);

    void SetPlayer(int player) { m_Player = player; }
    int GetPlayer() { return m_Player; }
};

#endif //__BOMBOBJECT_H__
