#ifndef __ELEVATOROBJECT_H__
#define __ELEVATOROBJECT_H__

enum
{
    ELEVATORANIM_Idle = 0,
};

#define ELEVATORPAUSEAFTERMOVING    60
#define ELEVATORDELAY               60
#define ELEVATORSPEED               4.5f

class ElevatorObject : public BaseObject
{
protected:
    int m_TickToMove;
    int m_Moving;
    float m_Dir;
    int m_ElevatorNumber;

public:

    ElevatorObject();
    virtual ~ElevatorObject();

    virtual void Tick();
    virtual void AddExtraSprites(int sortposy, int x, int y);

    void SetElevatorNumber(int number);

    int IsElevatorReadyToMove();
    void TouchElevator(int TickToMove);
};

#endif //__ELEVATOROBJECT_H__
