#include "MySystem.h"

#include <malloc.h>

#include "BombMain.h"

#include "touch.h"
#include "string.h"
#include "TextMap.h"

#include "WifiMenu.h"
#include "ServerList.h"
#include "Menu.h"

#include "NetMessages.h"
#include "NetCode.h"

#define SERVER_PORT     9999

int g_HackStartGame = 0;

int GameLobbyMain(int server)
{
#if SYSTEM_NDS
    lcdSwap();
#endif //SYSTEM_NDS
    PrintToScreenReset();

    // clear the screen
    ClearTextMap(NULL);

    if(server)
    {
        GameServer = MyNew(NetServer);
        GameServer->Init(SERVER_PORT);
    }
    else
    {
        GameClient = MyNew(NetClient);
        GameClient->Init(SERVER_PORT);
        GameClient->Connect(serverip); //0x6501a8c0);

        MessageJoinServer* mess = MyNew(MessageJoinServer);
        mess->Send();
        SAFE_REDUCEREFANDDELETE(mess);
    }

    int keeplooping = 1;

    while(keeplooping)
    {
        scanKeys();
        swiWaitForVBlank();

        if(GameClient)
        {
            GameClient->Tick();

            if(g_HackStartGame)
            {
                BombMain();
                g_HackStartGame = 0;
                keeplooping = 0;
                continue;
            }
        //    if( keysUp() & KEY_A )
        //    {
        //        MessageJoinGame* mess = MyNew(MessageJoinGame);
        //        mess->Send();
        //        SAFE_REDUCEREFANDDELETE(mess);
        //    }
        }

        if(GameServer)
        {
            GameServer->CheckForIncomingConnections(); // TCP Only
            GameServer->Tick();

            //if( keysUp() & KEY_A && GameServer->GetNumClients() != 0 )
            {
                //MessageStartGame* mess = MyNew(MessageStartGame);
                //mess->seed = rand();
                //mess->Send();
                //GameOptions.InitialSeed = mess->seed;
                //SAFE_REDUCEREFANDDELETE(mess);
                BombMain();
                keeplooping = 0;
                continue;
            }
        }

        if( keysUp() & KEY_B)
        {
            keeplooping = 0;
            continue;
        }
    }

    SAFE_DELETE(GameClient);
    SAFE_DELETE(GameServer);

    lcdSwap();

    return 0;
}
