#ifndef __SERVERLIST_H__
#define __SERVERLIST_H__

#define MAX_SERVERSTRING  600
extern char ServerList[MAX_SERVERSTRING];

#define MAX_SERVERS     10
extern int SERVERLIST_NumServers;
extern char SERVERLIST_Names[MAX_SERVERS][20];
extern char SERVERLIST_LANIPs[MAX_SERVERS][16];
extern char SERVERLIST_Servers[MAX_SERVERS][16];

int SERVERLIST_CheckForResults();

int SERVERLIST_Init();

enum SL_ReturnCode
{
    SLRC_Waiting = -2,
    SLRC_GenericError = -1,
    // HTTP error codes... 0-500?
    SLRC_ReceivedList = 4321,
};

int SERVERLIST_GetList();
int SERVERLIST_AddServer();
int SERVERLIST_RemoveServer();
int SERVERLIST_UpdateServer(int joinable, int numplayers);

int SERVERLIST_SetupSocket();

void SERVERLIST_CancelOp();
void SERVERLIST_ClearList();

#endif //__SERVERLIST_H__
