#ifndef __LOADGRAPHICS_H__
#define __LOADGRAPHICS_H__

#define FONT_SCREEN_BASE_BLOCK          0
#define SCOREBOX_SCREEN_BASE_BLOCK      1

#define BG_BASEBLOCK        2
#define OVERLAY_BASEBLOCK   5

#define FONT_TILE_BLANK         (96+16) // 1 screen base block + visible portion of the next one.
#define FONT_TILE_OFFSET        (FONT_TILE_BLANK+1)
#define SCOREBOX_TILE_OFFSET    (FONT_TILE_OFFSET+91) // 91 is number of font tiles.

extern TilesInfo PlayerTI;
extern TilesInfo BlockTI;
extern TilesInfo Block2TI;
extern TilesInfo Block3TI;
extern TilesInfo BreakableBlockTI;
extern TilesInfo BreakableBlock2TI;
extern TilesInfo BombTI;
extern TilesInfo BombExplodeTI;
extern TilesInfo BoxBurnTI;
extern TilesInfo FlamesTI;
extern TilesInfo ElevatorTI;
extern TilesInfo PowerUpBombTI;
extern TilesInfo PowerUpGasTI;
extern TilesInfo ElevatorHidersTopTI;
extern TilesInfo ElevatorHidersBottomTI;

void InitGraphicModes();

void LoadBombGuyGraphics();

#endif //__LOADGRAPHICS_H__
