#ifndef __BOMBMAIN_H__
#define __BOMBMAIN_H__

class ObjectManager;
class GameBoard;
class PlayerObject;

#define MAX_PLAYERS             8
//TODO: reset the timeout.
#define NETWORK_TIMEOUT         (60*10) //(60*3)  // 3 seconds
#define DEFAULTMOVEPACKETFREQ   (60/4)  // 4 updates per second // 10 was too much
extern int g_MovePacketFreq;

extern ObjectManager* g_pObjectManager;
extern GameBoard* g_pGameBoard;
extern PlayerObject* g_pPlayers[MAX_PLAYERS];
extern char g_PlayerName[MAX_PLAYERS][20];      // based on the machine number
extern int g_PlayerWins[MAX_PLAYERS];           // based on the machine number
extern int g_PlayerBeingControlled;
extern int g_GameStarted;
extern int g_RoundStarted;
extern int g_WaitingForGameState;
extern int g_MachineNumber;

#define TILE_WIDTH      16
#define TILE_HEIGHT     16
#define BOARD_OFFSET_X  (8+TILE_WIDTH/2)
#define BOARD_OFFSET_Y  (39) //8+TILE_HEIGHT/2+16)

#define MAP_WIDTH       15
#define MAP_HEIGHT      9
#define NUM_MAPS        2

#define SCREEN_SEP      32
#define LEVEL2_Z        (192 + SCREEN_SEP)

#define MAX_BLOCKS      (MAP_WIDTH * MAP_HEIGHT * NUM_MAPS)

#define TOTALTIMETOEXPLODE  (60*4)

void BombMain();

#endif //__BOMBMAIN_H__

