#ifndef __BREAKABLEBLOCKOBJECT_H__
#define __BREAKABLEBLOCKOBJECT_H__

enum
{
    BreakableBlockANIM_Idle = 0,
};

class BreakableBlockObject : public BaseObject
{
protected:
    bool m_SwappedGraphics;
    int m_PowerUp;

public:
    BreakableBlockObject();
    virtual ~BreakableBlockObject();

    virtual void Tick();
    virtual void AddExtraSprites(int sortposy, int x, int y);

    void SetPowerUp(int powerup) { m_PowerUp = powerup; }
    int QueryPowerUp() { return m_PowerUp; }
};

#endif //__BREAKABLEBLOCKOBJECT_H__
