#ifndef __FLAMEOBJECT_H__
#define __FLAMEOBJECT_H__

enum
{
    FlameANIM_Down = 0,
    FlameANIM_Right,
    FlameANIM_Up,
};

class FlameObject : public BaseObject
{
protected:
    int m_Life;
    int m_Spawned;
    int m_ExplodeDelay;

public:
    FlameObject();
    virtual ~FlameObject();

    virtual void Tick();
    virtual void AddExtraSprites(int sortposy, int x, int y);

    void SetLife(int life) { m_Life = life; }
};

#endif //__FLAMEOBJECT_H__
