#ifndef __GAMEBOARD_H__
#define __GAMEBOARD_H__

int QueryMap(int z);

struct TileInfo
{
    ObjectType type;
    int ObjectManagerIndex;
};

class GameBoard
{
protected:
    TileInfo m_Tiles[NUM_MAPS][MAP_WIDTH][MAP_HEIGHT];

public:
    ElevatorObject* m_Elevators[4];

    GameBoard();
    ~GameBoard();

    void Clear(int deleteobjects);
    void Setup();
    void SetupFromPacket(MessageGameInfo* mess);

    BaseObject* GetTileObject(int map, int x, int y);

    ObjectType GetTileObjectType(int map, int x, int y);
    int GetTileIndex(int map, int x, int y);
    void SetTile(ObjectType type, int index, int map, int x, int y);
    void ClearTile(int deleteobjects, int map, int x, int y);

    void SendBoardLayout(int client);
};

#endif //__GAMEBOARD_H__
