#ifndef __POWERUPOBJECT_H__
#define __POWERUPOBJECT_H__

enum
{
    PowerUpANIM_Idle = 0,
};

#define POWERTYPE_Invalid   0
#define POWERTYPE_Bomb      1
#define POWERTYPE_Gas       2

class PowerUpObject : public BaseObject
{
protected:
    int m_PowerType;
    int m_SwappedGraphics;

public:
    PowerUpObject();
    virtual ~PowerUpObject();

    virtual void Tick();

    void SetPowerType(int power) { m_PowerType = power; }
    int QueryPowerType() { return m_PowerType; }
};

#endif //__POWERUPOBJECT_H__
