#ifndef __MYMEMORY_H__
#define __MYMEMORY_H__

#define MyNew               new(__FILE__, __LINE__)
//#define MyNewArray(x,y)      new(__FILE__, __LINE__) x[y]

#define newtype_reg         1
#define newtype_array       2

class MemObject : public CPPListNode
{
public:
    size_t m_size;
    unsigned long m_line;
    char* m_file;
    int m_type;

    MemObject() :
        m_size(0),
        m_line(0),
        m_file(NULL),
        m_type(0)
    {
    }
};

extern CPPListHead AllocatedRam;
extern int TotalAllocatedRam;

void ValidateAllocations();

void* operator new(size_t size, char* file, unsigned long line);
void* operator new[](size_t size, char* file, unsigned long line);
void operator delete(void* m, char* file, unsigned long line);
void operator delete[](void* m, char* file, unsigned long line);

//void* operator new(size_t size);
void operator delete(void* m);
//void* operator new[](size_t size);
void operator delete[](void* m);

#endif //__MYMEMORY_H__
