#include "MySystem.h"
#include "NetMessages.h"

//#include "ObjectType.h"
#include "NetCode.h"
#include "WifiMenu.h"
#include "BombMessages.h"
//#include "RTSMain.h"

// TODO: fix this.
// This copy is useless, the virtual destructor should be removed from the packet class,
// and memcpy should be used... I'll fix it when I have time to test.
NetMessage* MakeMessageCopy(NetMessage* nm)
{
    NetMessage* newmess = NULL;

    switch(nm->type)
    {
    case NM_Invalid:
        break;
    case NM_Ack:
        //newmess = MyNew(MessageAck);
        //memcpy(newmess, nm, sizeof(MessageAck));
        break;
    case NM_KeepAlive:
        //newmess = MyNew(MessageAck);
        //memcpy(newmess, nm, sizeof(MessageAck));
        break;
    case NM_JoinServer:
        newmess = MyNew(MessageJoinServer);
        ((MessageJoinServer*)newmess)->CopyFrom((MessageJoinServer*)nm);
        break;
    case NM_Welcome:
        newmess = MyNew(MessageWelcome);
        ((MessageWelcome*)newmess)->CopyFrom((MessageWelcome*)nm);
        break;
    case NM_LeaveServer:
        newmess = MyNew(MessageLeaveServer);
        ((MessageLeaveServer*)newmess)->CopyFrom((MessageLeaveServer*)nm);
        break;
    case NM_Goodbye:
        newmess = MyNew(MessageGoodbye);
        ((MessageGoodbye*)newmess)->CopyFrom((MessageGoodbye*)nm);
        break;
    case NM_AddPlayer:
        newmess = MyNew(MessageAddPlayer);
        ((MessageAddPlayer*)newmess)->CopyFrom((MessageAddPlayer*)nm);
        break;
    case NM_PlayerJoined:
        newmess = MyNew(MessagePlayerJoined);
        ((MessagePlayerJoined*)newmess)->CopyFrom((MessagePlayerJoined*)nm);
        break;
    case NM_RemovePlayer:
        newmess = MyNew(MessageRemovePlayer);
        ((MessageRemovePlayer*)newmess)->CopyFrom((MessageRemovePlayer*)nm);
        break;
    case NM_PlayerLeft:
        newmess = MyNew(MessagePlayerLeft);
        ((MessagePlayerLeft*)newmess)->CopyFrom((MessagePlayerLeft*)nm);
        break;
    case NM_RequestGameState:
        newmess = MyNew(MessageRequestGameState);
        ((MessageRequestGameState*)newmess)->CopyFrom((MessageRequestGameState*)nm);
        break;
    case NM_GameInfo:
        newmess = MyNew(MessageGameInfo);
        ((MessageGameInfo*)newmess)->CopyFrom((MessageGameInfo*)nm);
        break;
    case NM_StartGame:
        newmess = MyNew(MessageStartGame);
        ((MessageStartGame*)newmess)->CopyFrom((MessageStartGame*)nm);
        break;
    case NM_RoundEnded:
        newmess = MyNew(MessageRoundEnded);
        ((MessageRoundEnded*)newmess)->CopyFrom((MessageRoundEnded*)nm);
        break;
    case NM_SetOnFire:
        newmess = MyNew(MessageSetOnFire);
        ((MessageSetOnFire*)newmess)->CopyFrom((MessageSetOnFire*)nm);
        break;
    case NM_PlayerMove:
        newmess = MyNew(MessagePlayerMove);
        ((MessagePlayerMove*)newmess)->CopyFrom((MessagePlayerMove*)nm);
        break;
    case NM_RequestBomb:
        newmess = MyNew(MessageRequestBomb);
        ((MessageRequestBomb*)newmess)->CopyFrom((MessageRequestBomb*)nm);
        break;
    case NM_DropBomb:
        newmess = MyNew(MessageDropBomb);
        ((MessageDropBomb*)newmess)->CopyFrom((MessageDropBomb*)nm);
        break;
    case NM_MoveElevator:
        newmess = MyNew(MessageMoveElevator);
        ((MessageMoveElevator*)newmess)->CopyFrom((MessageMoveElevator*)nm);
        break;
    case NM_GrabPowerUp:
        newmess = MyNew(MessageGrabPowerUp);
        ((MessageGrabPowerUp*)newmess)->CopyFrom((MessageGrabPowerUp*)nm);
        break;
    case NM_BombFlood:
        newmess = MyNew(MessageBombFlood);
        ((MessageBombFlood*)newmess)->CopyFrom((MessageBombFlood*)nm);
        break;
    case NM_PlayerInfo:
        newmess = MyNew(MessagePlayerInfo);
        ((MessagePlayerInfo*)newmess)->CopyFrom((MessagePlayerInfo*)nm);
        break;
    }

    // too late for this error check, it'd be dead by now.
    //if(newmess == NULL)
    //    return;

    return newmess;
}

void NetMessage::Send(int size, int clienttosendto)
{
    if(GameServer || GameClient)
    {
        if(clienttosendto == -1)
            ProcessGameMessages(this, -1);

        if(GameServer)
            GameServer->Send( this, size, -1, clienttosendto );

        if(GameClient)
            GameClient->Send( this, size );
    }
    else
    {
        // bounce local messages back to the game immediately
        ProcessGameMessages(this, -1);
    }
}
