#ifndef __SRAMSAVE_H__
#define __SRAMSAVE_H__

extern int AllowSRAMSave;

class SRAMSave
{
public:
    bool m_SaveEnabled;
    int m_Offset;
    char m_Buffer[1024];
    int m_BufferOffset;

    SRAMSave();
    ~SRAMSave();

    void Init();
    void Write(char* data, int len);
    void Flush();

    bool SavingAllowed() { return m_SaveEnabled; }
};

#endif //__SRAMSAVE_H__
