#ifndef __TILEINFO_H__
#define __TILEINFO_H__

typedef struct TilesInfoStruct
{
    u8 numFrames;
    u8 numAnims;
    u8 numColors;
    u8 PaletteOffset;
    u8 PaletteNumber;
    const u8* numAnimFrames;
    const u8* AnimFrameOffset;
    const u8* GBAAttr0;
    const u8* GBAAttr1;
    const u8* OrigWidth;
    const u8* OrigHeight;
    const u8* GBAWidth;
    const u8* GBAHeight;
    const u8* MinWidth;
    const u8* MinHeight;
    const u8* OffsetX;
    const u8* OffsetY;
    const u32* MemOffset;
    u32* Offset;
    const u32* Tiles;
}TilesInfo;


#endif //__TILEINFO_H__
