#include "MySystem.h"

int _EMULATOR = 0;

char DEBUG_String[100];

// Outputs a string to the dualis console
void DEBUG_Print(char* s)
{
#if SYSTEM_NDS
    // warning! will crash on hardware!
    if(_EMULATOR)
        asm volatile ("mov r0, %0;" "swi 0xff;":
                      :"r" (s):"r0");
#endif //SYSTEM_NDS
}

void DEBUG_Print()
{
#if SYSTEM_NDS
    // warning! will crash on hardware (i think)!
    if(_EMULATOR)
        asm volatile ("mov r0, %0;" "swi 0xff;":
                      :"r" (DEBUG_String):"r0");
#endif //SYSTEM_NDS
}

void DEBUG_PrintFileLineInfo(char* file, int line)
{
    sprintf(DEBUG_String, "%d, %s", line, &file[strlen(file)-15]);
    DEBUG_Print(DEBUG_String);
}
